<?php

// Admin User routes
use LaraBB\Admin\Middleware\CheckAdmin;

Route::group([
    'namespace' => 'Admin',
    'prefix' => 'admin/user/group',
    'middleware' => [
        'auth',
        CheckAdmin::class
    ]
], function() {
    Route::get('/', OverviewHandler::class)->name('admin.groups');
    Route::get('create', CreateHandler::class)->name('admin.groups.create');
    Route::get('{uuid}', EditHandler::class)->name('admin.groups.edit');
    Route::post('store', StoreHandler::class)->name('admin.groups.store');
    Route::post('update', UpdateHandler::class)->name('admin.groups.update');
    Route::post('destroy', DestroyHandler::class)->name('admin.groups.destroy');
});
